Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## superwaba.ext.xplat.sql
Class ParameterMetaData

    java.lang.Object
      |
      +--superwaba.ext.xplat.sql.ParameterMetaData

public abstract class ParameterMetaData
extends Object

With this class you can get some information regarding the parameters of a sql query.

Field Summary
`static int` | `parameterModeIn`
`static int` | `parameterModeInOut`
`static int` | `parameterModeOut`
`static int` | `parameterModeUnknown`
`static int` | `parameterNoNulls`
`static int` | `parameterNullable`
`static int` | `parameterNullableUnknown`

Constructor Summary
`ParameterMetaData()`

Method Summary
`abstract String` | `getParameterClassName(int param)`
`abstract int` | `getParameterCount()`
`abstract int` | `getParameterMode(int param)`
`abstract int` | `getParameterType(int param)`
`abstract String` | `getParameterTypeName(int param)`
`abstract int` | `getPrecision(int param)`
`abstract int` | `getScale(int param)`
`abstract int` | `isNullable(int param)`
`abstract boolean` | `isSigned(int param)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, toString, wait, wait`

Field Detail

### parameterNoNulls

    public static final int parameterNoNulls

### parameterNullable

    public static final int parameterNullable

### parameterNullableUnknown

    public static final int parameterNullableUnknown

### parameterModeUnknown

    public static final int parameterModeUnknown

### parameterModeIn

    public static final int parameterModeIn

### parameterModeInOut

    public static final int parameterModeInOut

### parameterModeOut

    public static final int parameterModeOut

Constructor Detail

### ParameterMetaData

    public ParameterMetaData()

Method Detail

### getParameterCount

    public abstract int getParameterCount()
                                   throws SQLException

  Since:
    1.4

### isNullable

    public abstract int isNullable(int param)
                            throws SQLException

  Since:
    1.4

### isSigned

    public abstract boolean isSigned(int param)
                              throws SQLException

  Since:
    1.4

### getPrecision

    public abstract int getPrecision(int param)
                              throws SQLException

  Since:
    1.4

### getScale

    public abstract int getScale(int param)
                          throws SQLException

  Since:
    1.4

### getParameterType

    public abstract int getParameterType(int param)
                                  throws SQLException

  Since:
    1.4

### getParameterTypeName

    public abstract String getParameterTypeName(int param)
                                         throws SQLException

  Since:
    1.4

### getParameterClassName

    public abstract String getParameterClassName(int param)
                                          throws SQLException

  Since:
    1.4

### getParameterMode

    public abstract int getParameterMode(int param)
                                  throws SQLException

  Since:
    1.4

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD